SSpiderIQ
SSpiderIQ

Docs / api-reference/email-admin

Email Admin

12 endpoints from the published OpenAPI import.

GET/api/v1/mail-admin/connections

List Connections

Parameters

NameInTypeRequiredDescription
brand_idqueryanyfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/mail-admin/connections' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/mail-admin/connections",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/mail-admin/connections", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/mail-admin/connections

Connect

Try it

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "brand_id": 0,
  "provider": "zoho",
  "data_center": "eu",
  "org_external_id": "string",
  "vault_key_ref": "string",
  "label": "string",
  "end_client_name": "string",
  "refresh_token": "string",
  "client_id": "string",
  "client_secret": "string",
  "scope": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"brand_id": 0, "provider": "zoho", "data_center": "eu", "org_external_id": "string", "vault_key_ref": "string", "label": "string", "end_client_name": "string", "refresh_token": "string", "client_id": "string", "client_secret": "string", "scope": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"brand_id": 0, "provider": "zoho", "data_center": "eu", "org_external_id": "string", "vault_key_ref": "string", "label": "string", "end_client_name": "string", "refresh_token": "string", "client_id": "string", "client_secret": "string", "scope": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"brand_id": 0, "provider": "zoho", "data_center": "eu", "org_external_id": "string", "vault_key_ref": "string", "label": "string", "end_client_name": "string", "refresh_token": "string", "client_id": "string", "client_secret": "string", "scope": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/revoke

Revoke Connection

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/revoke' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/revoke",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/revoke", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/revoke", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
GET/api/v1/mail-admin/connections/{connection_id}/mailboxes

List Mailboxes

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/mailboxes

Provision Mailbox

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "local_part": "string",
  "domain": "string",
  "password": "string",
  "display_name": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"local_part": "string", "domain": "string", "password": "string", "display_name": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"local_part": "string", "domain": "string", "password": "string", "display_name": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"local_part": "string", "domain": "string", "password": "string", "display_name": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/mailboxes", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/enable-imap

Enable Imap

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/enable-imap' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "targets": [
    {
      "account_id": "string",
      "zuid": "string",
      "email": "string"
    }
  ]
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/enable-imap",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"targets": [{"account_id": "string", "zuid": "string", "email": "string"}]},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/enable-imap", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"targets": [{"account_id": "string", "zuid": "string", "email": "string"}]})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"targets": [{"account_id": "string", "zuid": "string", "email": "string"}]}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/enable-imap", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/set-password

Set Password

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/set-password' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "account_id": "string",
  "zuid": "string",
  "password": "string",
  "email": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/set-password",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"account_id": "string", "zuid": "string", "password": "string", "email": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/set-password", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"account_id": "string", "zuid": "string", "password": "string", "email": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"account_id": "string", "zuid": "string", "password": "string", "email": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/set-password", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/register

Register Mailbox

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/register' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "string",
  "password": "string",
  "display_name": "string",
  "imap_host": "string",
  "imap_port": 0,
  "smtp_host": "string",
  "smtp_port": 0,
  "client_id": "00000000-0000-0000-0000-000000000000"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/register",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"email": "string", "password": "string", "display_name": "string", "imap_host": "string", "imap_port": 0, "smtp_host": "string", "smtp_port": 0, "client_id": "00000000-0000-0000-0000-000000000000"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/register", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"email": "string", "password": "string", "display_name": "string", "imap_host": "string", "imap_port": 0, "smtp_host": "string", "smtp_port": 0, "client_id": "00000000-0000-0000-0000-000000000000"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"email": "string", "password": "string", "display_name": "string", "imap_host": "string", "imap_port": 0, "smtp_host": "string", "smtp_port": 0, "client_id": "00000000-0000-0000-0000-000000000000"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/register", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/provision-and-link

Provision And Link

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/provision-and-link' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "local_part": "string",
  "domain": "string",
  "password": "string",
  "display_name": "string",
  "account_id": "string",
  "zuid": "string",
  "client_id": "00000000-0000-0000-0000-000000000000"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/provision-and-link",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"local_part": "string", "domain": "string", "password": "string", "display_name": "string", "account_id": "string", "zuid": "string", "client_id": "00000000-0000-0000-0000-000000000000"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/provision-and-link", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"local_part": "string", "domain": "string", "password": "string", "display_name": "string", "account_id": "string", "zuid": "string", "client_id": "00000000-0000-0000-0000-000000000000"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"local_part": "string", "domain": "string", "password": "string", "display_name": "string", "account_id": "string", "zuid": "string", "client_id": "00000000-0000-0000-0000-000000000000"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/provision-and-link", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/health-check

Health Check

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/health-check' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "string",
  "password": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/health-check",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"email": "string", "password": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/health-check", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"email": "string", "password": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"email": "string", "password": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/health-check", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/mail-admin/connections/{connection_id}/add-to-smartlead

Add To Smartlead

Parameters

NameInTypeRequiredDescription
connection_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/add-to-smartlead' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "string",
  "smartlead_connection_id": 0,
  "max_email_per_day": 50,
  "warmup_enabled": false
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/add-to-smartlead",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"email": "string", "smartlead_connection_id": 0, "max_email_per_day": 50, "warmup_enabled": false},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/add-to-smartlead", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"email": "string", "smartlead_connection_id": 0, "max_email_per_day": 50, "warmup_enabled": false})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"email": "string", "smartlead_connection_id": 0, "max_email_per_day": 50, "warmup_enabled": false}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/mail-admin/connections/{connection_id}/add-to-smartlead", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
GET/api/v1/mail-admin/audit

List Audit

Parameters

NameInTypeRequiredDescription
brand_idqueryanyfalse
connection_idqueryanyfalse
limitqueryintegerfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/mail-admin/audit' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/mail-admin/audit",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/mail-admin/audit", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/mail-admin/audit", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error